<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Mensaje StructType
 * @subpackage Structs
 */
class Mensaje extends AbstractStructBase
{
    /**
     * The cantDTE
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $cantDTE;
    /**
     * The Codigo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Codigo;
    /**
     * The Mensajes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Mensajes;
    /**
     * The DTE
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DTE;
    /**
     * The TipoDoc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $TipoDoc;
    /**
     * The FolioDoc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FolioDoc;
    /**
     * The RuttEmis
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RuttEmis;
    /**
     * The RuttRece
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RuttRece;
    /**
     * The FechEmis
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FechEmis;
    /**
     * The MontTota
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MontTota;
    /**
     * The EstaDocu
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EstaDocu;
    /**
     * The ImpuVaag
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ImpuVaag;
    /**
     * Constructor method for Mensaje
     * @uses Mensaje::setCantDTE()
     * @uses Mensaje::setCodigo()
     * @uses Mensaje::setMensajes()
     * @uses Mensaje::setDTE()
     * @uses Mensaje::setTipoDoc()
     * @uses Mensaje::setFolioDoc()
     * @uses Mensaje::setRuttEmis()
     * @uses Mensaje::setRuttRece()
     * @uses Mensaje::setFechEmis()
     * @uses Mensaje::setMontTota()
     * @uses Mensaje::setEstaDocu()
     * @uses Mensaje::setImpuVaag()
     * @param int $cantDTE
     * @param string $codigo
     * @param string $mensajes
     * @param string $dTE
     * @param string $tipoDoc
     * @param string $folioDoc
     * @param string $ruttEmis
     * @param string $ruttRece
     * @param string $fechEmis
     * @param string $montTota
     * @param string $estaDocu
     * @param string $impuVaag
     */
    public function __construct($cantDTE = null, $codigo = null, $mensajes = null, $dTE = null, $tipoDoc = null, $folioDoc = null, $ruttEmis = null, $ruttRece = null, $fechEmis = null, $montTota = null, $estaDocu = null, $impuVaag = null)
    {
        $this
            ->setCantDTE($cantDTE)
            ->setCodigo($codigo)
            ->setMensajes($mensajes)
            ->setDTE($dTE)
            ->setTipoDoc($tipoDoc)
            ->setFolioDoc($folioDoc)
            ->setRuttEmis($ruttEmis)
            ->setRuttRece($ruttRece)
            ->setFechEmis($fechEmis)
            ->setMontTota($montTota)
            ->setEstaDocu($estaDocu)
            ->setImpuVaag($impuVaag);
    }
    /**
     * Get cantDTE value
     * @return int
     */
    public function getCantDTE()
    {
        return $this->cantDTE;
    }
    /**
     * Set cantDTE value
     * @param int $cantDTE
     * @return \StructType\Mensaje
     */
    public function setCantDTE($cantDTE = null)
    {
        $this->cantDTE = $cantDTE;
        return $this;
    }
    /**
     * Get Codigo value
     * @return string|null
     */
    public function getCodigo()
    {
        return $this->Codigo;
    }
    /**
     * Set Codigo value
     * @param string $codigo
     * @return \StructType\Mensaje
     */
    public function setCodigo($codigo = null)
    {
        $this->Codigo = $codigo;
        return $this;
    }
    /**
     * Get Mensajes value
     * @return string|null
     */
    public function getMensajes()
    {
        return $this->Mensajes;
    }
    /**
     * Set Mensajes value
     * @param string $mensajes
     * @return \StructType\Mensaje
     */
    public function setMensajes($mensajes = null)
    {
        $this->Mensajes = $mensajes;
        return $this;
    }
    /**
     * Get DTE value
     * @return string|null
     */
    public function getDTE()
    {
        return $this->DTE;
    }
    /**
     * Set DTE value
     * @param string $dTE
     * @return \StructType\Mensaje
     */
    public function setDTE($dTE = null)
    {
        $this->DTE = $dTE;
        return $this;
    }
    /**
     * Get TipoDoc value
     * @return string|null
     */
    public function getTipoDoc()
    {
        return $this->TipoDoc;
    }
    /**
     * Set TipoDoc value
     * @param string $tipoDoc
     * @return \StructType\Mensaje
     */
    public function setTipoDoc($tipoDoc = null)
    {
        $this->TipoDoc = $tipoDoc;
        return $this;
    }
    /**
     * Get FolioDoc value
     * @return string|null
     */
    public function getFolioDoc()
    {
        return $this->FolioDoc;
    }
    /**
     * Set FolioDoc value
     * @param string $folioDoc
     * @return \StructType\Mensaje
     */
    public function setFolioDoc($folioDoc = null)
    {
        $this->FolioDoc = $folioDoc;
        return $this;
    }
    /**
     * Get RuttEmis value
     * @return string|null
     */
    public function getRuttEmis()
    {
        return $this->RuttEmis;
    }
    /**
     * Set RuttEmis value
     * @param string $ruttEmis
     * @return \StructType\Mensaje
     */
    public function setRuttEmis($ruttEmis = null)
    {
        $this->RuttEmis = $ruttEmis;
        return $this;
    }
    /**
     * Get RuttRece value
     * @return string|null
     */
    public function getRuttRece()
    {
        return $this->RuttRece;
    }
    /**
     * Set RuttRece value
     * @param string $ruttRece
     * @return \StructType\Mensaje
     */
    public function setRuttRece($ruttRece = null)
    {
        $this->RuttRece = $ruttRece;
        return $this;
    }
    /**
     * Get FechEmis value
     * @return string|null
     */
    public function getFechEmis()
    {
        return $this->FechEmis;
    }
    /**
     * Set FechEmis value
     * @param string $fechEmis
     * @return \StructType\Mensaje
     */
    public function setFechEmis($fechEmis = null)
    {
        $this->FechEmis = $fechEmis;
        return $this;
    }
    /**
     * Get MontTota value
     * @return string|null
     */
    public function getMontTota()
    {
        return $this->MontTota;
    }
    /**
     * Set MontTota value
     * @param string $montTota
     * @return \StructType\Mensaje
     */
    public function setMontTota($montTota = null)
    {
        $this->MontTota = $montTota;
        return $this;
    }
    /**
     * Get EstaDocu value
     * @return string|null
     */
    public function getEstaDocu()
    {
        return $this->EstaDocu;
    }
    /**
     * Set EstaDocu value
     * @param string $estaDocu
     * @return \StructType\Mensaje
     */
    public function setEstaDocu($estaDocu = null)
    {
        $this->EstaDocu = $estaDocu;
        return $this;
    }
    /**
     * Get ImpuVaag value
     * @return string|null
     */
    public function getImpuVaag()
    {
        return $this->ImpuVaag;
    }
    /**
     * Set ImpuVaag value
     * @param string $impuVaag
     * @return \StructType\Mensaje
     */
    public function setImpuVaag($impuVaag = null)
    {
        $this->ImpuVaag = $impuVaag;
        return $this;
    }
}
